/*
 * Project name:
     LedBlinking
 * Copyright:
     (c) Mikroelektronika, 2015.
 * Description:
     Simple LED toggling.
 * Test configuration:
     MCU:             FT900
                      http://www.ftdichip.com/Support/Documents/DataSheets/ICs/DS_FT900_1_2_3.pdf
     Dev.Board:       Clicker 2 for FT900
                      http://www.mikroe.com/ft90x/clicker-2/
     Oscillator:      CPU at full system clock, 100.000MHz
     Ext. modules:    None.
     SW:              mikroC PRO for FT90x
                      http://www.mikroe.com/mikroc/ft90x/
 */

void main() {
  GPIO_Pin_Digital_Output(_GPIO_PIN_NUM_34);     // Initialize LD1 as digital output
  GPIO_Pin_Digital_Output(_GPIO_PIN_NUM_18);     // Initialize LD2 as digital output
  GPIO_PIN34_bit = 0;
  GPIO_PIN18_bit = 0;

  while(1){
    GPIO_PIN34_bit = 1;
    Delay_ms(500);
    GPIO_PIN18_bit = 1;
    Delay_ms(500);
    GPIO_PIN34_bit = 0;
    Delay_ms(500);
    GPIO_PIN18_bit = 0;
    Delay_ms(500);
  }

}